chicken-bitcoin
===============
An interface to [bitcoind][]'s JSON-RPC API for Chicken Scheme.

Requirements
------------
Besides [Chicken][], the following extensions are required:

* [uri-common][]
* [http-client][]
* [medea][]

Usage
-----
Function names and signatures match those listed in the [bitcoind API
reference][api]. JSON responses are translated into Scheme datatypes according
to [medea][]'s conversion rules.

When an error response is received from bitcoind, an exception of type `(exn
bitcoin)` is raised.

    > (use bitcoin)
    > (define c (make-bitcoind-connection "http://user:pass@localhost:8332"))
    > (getblockcount c)
    215673
    > (getblock c 123456)
    "0000000000002917ed80650c6174aac8dfc46f5fe36480aaef682ff6cd83c3ca"
    > (getinfo c)
    ((version . 70200)
     (protocolversion . 60002)
     (walletversion . 60000)
     (balance . 12.0)
     (blocks . 215673)
     (connections . 0)
     (proxy . "")
     (difficulty . 2979636.61693807)
     (testnet . #f)
     (keypoololdest . 1357260660)
     (keypoolsize . 108)
     (paytxfee . 0.0)
     (errors . ""))

Author
------
Evan Hanson <evhan@foldling.org>

License
-------
WTFPL. See LICENSE for details.

[bitcoind]: https://en.bitcoin.it/wiki/Bitcoind
[chicken]: http://call-cc.org/
[uri-common]: http://wiki.call-cc.org/egg/uri-common
[http-client]: http://wiki.call-cc.org/egg/http-client
[medea]: http://wiki.call-cc.org/egg/medea
[api]: https://en.bitcoin.it/wiki/Original_Bitcoin_client/API_Calls_list
